[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# IReadWriteSync.BeginRead

Start a read operation.

## Declaration

Source position: systhrdh.inc line 19

`procedure IReadWriteSync.BeginRead;`

## Description

BeginRead indicates that a read operation is about to be started. If a write operation is in progress, then the call will block until the write operation finished. Depending on the implementation the call may also block if another read operation is in progress.

After BeginRead, any write operation started with BeginWrite will block until EndRead is called.

## See also

IReadWriteSync.EndRead |  | End a read operation
IReadWriteSync.BeginWrite |  | Start a write operation.
IReadWriteSync.EndWrite |  | End a write operation.